/* Speed API functions
*
*  by OT
* 
*  This file is provided as is (no warranties).
*/

#if defined _speed_api_included
	#endinput
#endif
#define _speed_api_included

#pragma reqlib "speed_api"

// Force a speed
native api_set_maxspeed(id,Float:speed,hook = 0)
// Set hook to 1 to make the speed hookable

// Get the current maxspeed
native Float:api_get_current_maxspeed(id)

// Get weapon actual speed (the speed implemented in the engine)
native Float:api_get_weapon_maxspeed(id)

// Forces a speed (will remain)
native api_force_maxspeed(id,Float:speed)

// Stop the force of the speed
native api_unforce_maxspeed(id)

// Called when the speed of a player is changed
forward fw_playermaxspeed(id)

// Called when other plugins mess with the player maxspeed
forward fw_pluginmaxspeed(id)